Index: BasicCompiler_Common/Procedure.cpp
===================================================================
--- BasicCompiler_Common/Procedure.cpp	(revision 78)
+++ BasicCompiler_Common/Procedure.cpp	(revision 79)
@@ -120,34 +120,4 @@
 			Type::StringToType( temporary, type );
 
-			/*
-			TODO: 消す(TypeDef関連の変更)
-			if(temporary[0]=='*'&&
-				temporary[1]==1&&
-				(temporary[2]==ESC_FUNCTION||temporary[2]==ESC_SUB)){
-				if(sourceOfParams[i]!='('){
-					SetError(10,temporary,nowLine);
-					break;
-				}
-				i3=GetStringInPare(temporary+i2,sourceOfParams+i);
-				i+=i3;
-				i2+=i3;
-
-				if(temporary[2]==ESC_FUNCTION&&sourceOfParams[i]==1&&sourceOfParams[i+1]==ESC_AS){
-					temporary[i2++]=sourceOfParams[i++];
-					temporary[i2++]=sourceOfParams[i++];
-					for(;;i++,i2++){
-						if(!IsVariableChar(sourceOfParams[i])){
-							temporary[i2]=0;
-							break;
-						}
-						temporary[i2]=sourceOfParams[i];
-					}
-				}
-			}
-			else{
-				//TypeDefをする前のベース型を取得
-				GetOriginalTypeName_Old(temporary);
-			}*/
-
 			if( type.IsNull() ){
 				SetError(3,temporary,nowLine);
@@ -159,11 +129,4 @@
 			SetError(-103,temporary,nowLine);
 		}
-
-		/*
-		TODO: 消す(TypeDef関連の変更)
-		if( type.IsProcPtr() ){
-			//関数ポインタの場合
-			type.SetIndex( AddProcPtrInfo(temporary+3,temporary[2], nowLine) );
-		}*/
 
 		Parameter *pParam = new Parameter( name, type, isRef, initValue );
@@ -278,34 +241,4 @@
 				Type::StringToType( temporary, type );
 
-				/*
-				TODO: 消す(TypeDef関連の変更)
-				if(temporary[0]=='*'&&
-					temporary[1]==1&&
-					(temporary[2]==ESC_FUNCTION||temporary[2]==ESC_SUB)){
-					if(sourceOfParams[i]!='('){
-						SetError(10,temporary,nowLine);
-						break;
-					}
-					i3=GetStringInPare(temporary+i2,sourceOfParams+i);
-					i+=i3;
-					i2+=i3;
-
-					if(temporary[2]==ESC_FUNCTION&&sourceOfParams[i]==1&&sourceOfParams[i+1]==ESC_AS){
-						temporary[i2++]=sourceOfParams[i++];
-						temporary[i2++]=sourceOfParams[i++];
-						for(;;i++,i2++){
-							if(!IsVariableChar(sourceOfParams[i])){
-								temporary[i2]=0;
-								break;
-							}
-							temporary[i2]=sourceOfParams[i];
-						}
-					}
-				}
-				else{
-					//TypeDefをする前のベース型を取得
-					GetOriginalTypeName_Old(temporary);
-				}*/
-
 				if( type.IsNull() ){
 					SetError(3,temporary,nowLine);
@@ -317,11 +250,4 @@
 				SetError(-103,temporary,nowLine);
 			}
-
-			/*
-			TODO: 消す(TypeDef関連の変更)
-			if( type.IsProcPtr() ){
-				//関数ポインタの場合
-				type.SetIndex( AddProcPtrInfo(temporary+3,temporary[2], nowLine) );
-			}*/
 
 			Parameter *pParam = new Parameter( name, type, isRef );
@@ -535,34 +461,4 @@
 			Type::StringToType( temporary, type );
 
-			/*
-			TODO: 消す(TypeDef関連の変更)
-			if(temporary[0]=='*'&&
-				temporary[1]==1&&
-				(temporary[2]==ESC_FUNCTION||temporary[2]==ESC_SUB)){
-				if(sourceOfParams[i]!='('){
-					SetError(10,temporary,nowLine);
-					break;
-				}
-				i3=GetStringInPare(temporary+i2,sourceOfParams+i);
-				i+=i3;
-				i2+=i3;
-
-				if(temporary[2]==ESC_FUNCTION&&sourceOfParams[i]==1&&sourceOfParams[i+1]==ESC_AS){
-					temporary[i2++]=sourceOfParams[i++];
-					temporary[i2++]=sourceOfParams[i++];
-					for(;;i++,i2++){
-						if(!IsVariableChar(sourceOfParams[i])){
-							temporary[i2]=0;
-							break;
-						}
-						temporary[i2]=sourceOfParams[i];
-					}
-				}
-			}
-			else{
-				//TypeDefをする前のベース型を取得
-				GetOriginalTypeName_Old(temporary);
-			}*/
-
 			if( type.IsNull() ){
 				SetError(3,temporary,nowLine);
@@ -574,11 +470,4 @@
 			SetError(-103,temporary,nowLine);
 		}
-
-		/*
-		TODO: 消す(TypeDef関連の変更)
-		if( type.IsProcPtr() ){
-			//関数ポインタの場合
-			type.SetIndex( AddProcPtrInfo(temporary+3,temporary[2], nowLine ) );
-		}*/
 
 		Parameter *pParam = new Parameter( name, type, isRef );
@@ -743,34 +632,4 @@
 			Type::StringToType( temporary, type );
 
-			/*
-			TODO: 消す(TypeDef関連の変更)
-			if(temporary[0]=='*'&&
-				temporary[1]==1&&
-				(temporary[2]==ESC_FUNCTION||temporary[2]==ESC_SUB)){
-				if(sourceOfParams[i]!='('){
-					SetError(10,temporary,nowLine);
-					break;
-				}
-				i3=GetStringInPare(temporary+i2,sourceOfParams+i);
-				i+=i3;
-				i2+=i3;
-
-				if(temporary[2]==ESC_FUNCTION&&sourceOfParams[i]==1&&sourceOfParams[i+1]==ESC_AS){
-					temporary[i2++]=sourceOfParams[i++];
-					temporary[i2++]=sourceOfParams[i++];
-					for(;;i++,i2++){
-						if(!IsVariableChar(sourceOfParams[i])){
-							temporary[i2]=0;
-							break;
-						}
-						temporary[i2]=sourceOfParams[i];
-					}
-				}
-			}
-			else{
-				//TypeDefをする前のベース型を取得
-				GetOriginalTypeName_Old(temporary);
-			}*/
-
 			if( type.IsNull() ){
 				SetError(3,temporary,nowLine);
@@ -782,11 +641,4 @@
 			SetError(-103,temporary,nowLine);
 		}
-
-		/*
-		TODO: 消す(TypeDef関連の変更)
-		if( type.IsProcPtr() ){
-			//関数ポインタの場合
-			type.SetIndex( AddProcPtrInfo(temporary+3,temporary[2], nowLine ) );
-		}*/
 
 		Parameter *pParam = new Parameter( name, type, isRef );
